GuideLab API

List inventory categories

Returns all inventory categories for the current organization, ordered by sort order and name. Optionally includes inactive categories.

GET
/inventory/categories

Returns all inventory categories for the current organization, ordered by sort order and name. Optionally includes inactive categories.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?string

Set to 'true' to include inactive categories

Response Body

application/json

curl -X GET "https://example.com/inventory/categories"
{  "data": [    {      "id": "string",      "organizationId": "string",      "parentId": "string",      "name": "string",      "description": "string",      "icon": "string",      "sortOrder": 0,      "isActive": true,      "createdAt": "string",      "updatedAt": "string"    }  ]}
Empty